Bug 238484 - Graphical install hangs on AMD Geode LX 800 board
Graphical install hangs on AMD Geode LX 800 board
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-amd (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2007-04-30 16:30 EDT by Steve Magoun
Modified: 2008-12-13 19:26 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-12-13 19:26:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Steve Magoun 2007-04-30 16:30:26 EDT
Description of problem:
I'm trying to install Fedora 7 Test 4 on an AMD Geode LX 800 development board. Text-mode 
installation works fine, but graphical install fails when launching the X server and the machine has to be 

Version-Release number of selected component (if applicable):

How reproducible:
Always. I tried F7T3, it has the same problem. F7T2 doesn't even try to launch X.

Steps to Reproduce:
1. Boot from F7T4 DVD
2. Select "Install or upgrade an existing system"
Actual results:
Blue screen, with the text at the bottom:
Running anaconda, the Fedora system installer - please wait...
Probing for video card: Advanced Micro Devices [AMD] Geode LX Video
2 more lines of text appear for a split second, then the screen goes black. I think the text said 
something to the effect of "running startx" then "logs are in /var/log/Xorg.log".
Once the screen goes black, the system is completely unresponsive and has to be rebooted.

Expected results:
Graphical installer starts

Additional info:
I installed (using text mode) a base F7T4 setup with X11 but no GNOME or other packages. Running 
startx produces the same results - blank screen, and no xserver.

I found that changing the driver for Videocard0 from 'vesa' to 'amd' in /etc/X1/xorg.conf fixes the 
problem with X startup, can that be applied (autodetected?) in the installer?
Comment 1 Steve Magoun 2007-04-30 17:13:43 EDT
Fix version
Comment 2 jimkaubisch 2007-07-28 01:02:28 EDT
just tried to install the fc7 release version and it looks like this issue never
got addressed. still comes up with vesa, still hangs. switching to amd allows
system to come up but is *very* sluggish. Never had these problems under fc6
Comment 3 Matěj Cepl 2007-11-19 18:37:37 EST
Steve, I am sorry, that we have let this bug rot for so long, but could you
please confirm, that you don't get working X, when you remove /etc/X11/xorg.conf
(probably just rename it to something in case it would be needed again) and just
restart X without the one?

Please attach to this bug uncompressed /var/log/Xorg.0.log both from your (vesa)
configuration, as well as the one without /etc/X11/xorg.conf.
Comment 4 Steve Magoun 2007-11-20 15:42:51 EST
I don't have access to that board anymore, sorry.
Comment 5 Matěj Cepl 2007-11-21 08:11:30 EST
Thanks for letting us know.
Comment 6 jimkaubisch 2007-11-21 14:04:14 EST
Hang on, not so quick. I still have a board, and still need the bug fixed, as do
others, I suspect.

Please reopen. I'll try to do this in the next few days. The only question is
the apparent circularity. If the machine is unusable after a graphical install,
how do I install and then delete the file (given the screen is all screwed up)?

Please advise

Comment 7 Matěj Cepl 2007-11-21 18:28:20 EST
Sorry, I misunderstood you. Reopening, of course.

You can try to install in text mode (write linux text on the initial prompt of
the installation process).
Comment 8 jimkaubisch 2007-12-04 18:43:42 EST
Given the release of f8, I installed that on the machine in the hope that the
problem had been fixed - no such luck. Hope the following helps. In the next few
minutes I'll need to re-install fc6 on the machine used for this test. I won't
have a replacement for some time.

Using f8, tried what you suggested. Also tried a version of xorg.conf which runs
fine on fc6. Unfortunately I have no easy way to get the log off the machine,
but the last few lines of the log are consistent in all three cases:

Note: The "//" on the 2nd line down is not a typing error

(II) Loading sub module "int10"
(II) Reloading /usr/lib/xorg/modules//libint10.so
(II) VESA(0): initializing int10
(II) VESA(0): Primary V_BIOS segment is 0xc000
(II) VESA(0): VESA BIOS detected
(II) VESA(0): VESA VBE Version 2.0
(II) VESA(0): VESA VBE Total Mem: 8192 kB
(II) VESA(0): VESA VBE OEM: Advanced Micro Devices
(II) VESA(0): VESA VBE OEM Software Rev: 1.0
(II) VESA(0): VESA VBE Vendor: Elpin Systems VGA BIOS
(II) VESA(0): VESA VBE OEM Product Rev: Version 6.12
(II) VESA(0): virtual address = 0xb7697000
    physical address = 0xee000000, size 8388608
(II) VESA(0): VBESetVBEMode failedc000:0282: A2 ILLEGAL EXTENDED OPCODE!

(EE) VESA(0): set VBE Mode Failed!
Fatal server error:
AddScreen/ScreenInit failed for driver 0
Comment 9 Bug Zapper 2008-04-03 20:24:31 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 10 jimkaubisch 2008-04-03 22:43:32 EDT
Comment #8, which I submitted 5 months ago, clearly states that the problem
exists under F8!!! I am unable to change the version to 8 so please, someone who
can, please change it.

Also, please, someone take responsibility for this. We're at the point where,
stuck with FC5 because its the last version where this problem does NOT appear,
we're going to have to switch away from Fedora! - Thanks

Comment 11 Jon Stanley 2008-04-03 23:15:07 EDT
I've changed the version to 8. 

ajax - is there something that can help you resolve this?
Comment 12 Bug Zapper 2008-11-26 02:14:56 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 

Note You need to log in before you can comment on or make changes to this bug.